GET /repos/{owner}/{repo}/pulls/{pull_number}/reviews/{review_id}
Operation ID: pulls/get-review
Auth: bearer_token
Description
Retrieves a pull request review by its ID. This endpoint supports the following custom media types. For more information, see "[Media types](https://docs.github.com/rest/using-the-rest-api/getting-started-with-the-rest-api#media-types)." - **`application/vnd.github-commitcomment.raw+json`**: Returns the raw markdown body. Response will include `body`. This is the default if you do not pass any specific media type. - **`application/vnd.github-commitcomment.text+json`**: Returns a text only representation of the markdown body. Response will include `body_text`. - **`application/vnd.github-commitcomment.html+json`**: Returns HTML rendered from the body's markdown. Response will include `body_html`. - **`application/vnd.github-commitcomment.full+json`**: Returns raw, text, and HTML representations. Response will include `body`, `body_text`, and `body_html`.
Parameters (4)
(string, path, required)
The account owner of the repository. The name is not case sensitive.
(integer, path, required)
The number that identifies the pull request.
(string, path, required)
The name of the repository without the `.git` extension. The name is not case sensitive.
(integer, path, required)
The unique identifier of the review.
No probe data for this endpoint yet.